
 * Open Example1_Stacked.dta file first
 
* STATA code for mean-centering predictors for analysis	
gen ageM = age - 10.5
gen treatM = treat - .5	
gen agetreat = ageM * treatM
	
* STATA example of Between-Person model via XTMIXED
xtmixed y c.ageM c.treatM c.ageM#c.treatM, || PersonID: , noconstant /// 
	variance reml residuals(independent), 
	estat ic, n(100),
	estimates store Eonly

* STATA example of Within-Person model via XTMIXED
xtmixed y c.ageM c.treatM c.ageM#c.treatM,  || PersonID: ,  /// 
	variance reml covariance(unstructured) residuals(independent), 
	estat ic, n(50),
	estimates store UandE,
	lrtest UandE Eonly
